/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_CORE_CSR_FRAMEWORK_CS_DOC_H__
#define __TIZEN_CORE_CSR_FRAMEWORK_CS_DOC_H__


/**
 * @ingroup CAPI_CSR_FRAMEWORK_MODULE
 * @defgroup CAPI_CSR_FRAMEWORK_CS_MODULE Content Screening Module
 * @brief It provides APIs scanning contents for data, files, and directories to detect malwares.
 * @section CAPI_CSR_FRAMEWORK_CS_MODULE_HEADER Required Header
 * \#include <csr-content-screening.h>
 * \#include <csr-content-screening-types.h>
 * \#include <csr-error.h>
 *
 * @section CAPI_CSR_FRAMEWORK_CS_MODULE_OVERVIEW Overview
 * It provides APIs scanning contents for data, files, and directories to detect malwares. Actual scanning is performed by underlying anti malware engines which will be provided by a device manufacturer.
 */


#endif /* __TIZEN_CORE_CSR_FRAMEWORK_CS_DOC_H__ */
