/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __TIZEN_CORE_CSR_FRAMEWORK_DOC_H__
#define __TIZEN_CORE_CSR_FRAMEWORK_DOC_H__


/**
 * @ingroup CAPI_SECURITY_FRAMEWORK
 * @defgroup CAPI_CSR_FRAMEWORK_MODULE CSR
 * @brief The CSR (Content Screening & Reputation) is an anti malware module. It provides Content Screening Service and Web Protection Service to protect a device and an user.
 * @section CAPI_CSR_FRAMEWORK_MODULE_OVERVIEW Overview
 * <table>
 *   <tr><th>API</th><th>Description</th></tr>
 *   <tr>
 *     <td> @ref CAPI_CSR_FRAMEWORK_CS_MODULE</td>
 *     <td> Provides APIs scanning contents for data, files, and directories to detect malwares.</td>
 *   </tr>
 *   <tr>
 *     <td> @ref CAPI_CSR_FRAMEWORK_WP_MODULE</td>
 *     <td> Provides APIs checking URL reputation to see if the URL is risky or not.</td>
 *   </tr>
 *   <tr>
 *     <td> @ref CAPI_CSR_FRAMEWORK_ADMIN_MODULE</td>
 *     <td> Provides APIs managing underlying anti malware engines.</td>
 *   </tr>
 * </table>
 * The CSR (Content Screening & Reputation) is an anti malware module. It provides Content Screening Service and Web Protection Service to protect a device and an user
 * The Content Screening Service enables caller modules and applications to scan the content for data, files, and directories.
 * The Web Protection Service enables caller modules and applications to check if a URL they want to access is risky or not.
 */
#endif /* __TIZEN_CORE_CSR_FRAMEWORK_DOC_H__ */
